2

I am looking at the open source LWC recipes and whenever I try to add a template to app.html which references ui-card, I am hitting a compile error.

I saw that this issue has come up before from here - https://github.com/trailheadapps/lwc-recipes-oss/issues/53 - but I don't understand what the resolution actually is? It seems I have to explicitly add ui-card as a component to my app directory but I don't know what the .js, .html or .css would be? Am I supposed to get it from here? https://github.com/Templarian/lwc-ui/tree/master/src/modules/ui

I find it very strange that ui-card is NOT in the repo - https://github.com/trailheadapps/lwc-recipes-oss/tree/master/src/modules/ui. Is there a reason why it's not in there?

1 Answer 1

2

I feel this could have been explained a bit clearer on the repo but you must ensure that you have:

lwc-recipes-oss-ui-components": "^0.3.1", in the package.json file

Easiest way forward would be to git checkout this branch: https://github.com/trailheadapps/lwc-recipes-oss/tree/rw/webpack-imports

and then npm run watch

1
  • I also had to add the following to me lwc.config.json file: {"npm": "lwc-recipes-oss-ui-components"} Nov 8, 2020 at 19:57

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .